Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023936
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2013-05-29 16:192013-06-20 02:08
ReporterjecharriView Statuspublic 
Assigned ToSandrahuguet 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision3fda4c601597
ProjectionnoneETAnoneTarget Version3.0MP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-04-30
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/dbf388a50ab7 [^]
Triggers an Emergency PackNo
Summary

0023936: Problems with product selector in sales and purchase invoice

DescriptionProblems with product selector in sales and purchase invoice

After the changeset https://code.openbravo.com/erp/devel/pi/rev/dbf388a50ab7 [^] you will see duplicated values in product selector.

The problem is that now we are not filtering by warehouse.
Steps To Reproduce-Login in the ERP

-Go to "sales invoice"

-Create a header for "F&B EspaƱa, S.A" and go to lines

Verify that all products are duplicated
TagsRegression
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0024062 closedSandrahuguet Not able to update invoice line 

-  Notes
(0059048)
hgbot (developer)
2013-05-29 17:02

Repository: erp/devel/pi
Changeset: 80ca7ee3ac68306eb602faf4eaf615bcf6f03cd1
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed May 29 16:28:12 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/80ca7ee3ac68306eb602faf4eaf615bcf6f03cd1 [^]

Fixed bug 23936 Product reference was changed to ProductSimple in invoices

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0059082)
hgbot (developer)
2013-05-31 12:12

Repository: erp/devel/pi
Changeset: ada107be4fd6bb7fa4e6c0ea0a7d78a3d5f8c90d
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri May 31 12:13:27 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ada107be4fd6bb7fa4e6c0ea0a7d78a3d5f8c90d [^]

related to issue 23936: backout changeset 80ca7ee3ac68

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0059101)
hudsonbot (developer)
2013-06-01 02:14

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059112)
hudsonbot (developer)
2013-06-01 02:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059310)
hgbot (developer)
2013-06-10 18:18

Repository: erp/devel/pi
Changeset: 3fda4c6015970b1444ee3db1fd958c0dcdd1d019
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Jun 10 18:19:16 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3fda4c6015970b1444ee3db1fd958c0dcdd1d019 [^]

Fixed bug 23936 Product reference was changed to ProductSimple in invoices

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0059386)
dmiguelez (developer)
2013-06-12 12:19

Code Review + Testing Ok
(0059560)
hudsonbot (developer)
2013-06-20 02:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-05-29 16:19 jecharri New Issue
2013-05-29 16:19 jecharri Assigned To => Sandrahuguet
2013-05-29 16:19 jecharri Web browser => Google Chrome
2013-05-29 16:19 jecharri Modules => Core
2013-05-29 16:19 jecharri Triggers an Emergency Pack => No
2013-05-29 16:19 jecharri Web browser Google Chrome => Google Chrome
2013-05-29 16:19 jecharri Regression level => Production - QA Approved
2013-05-29 16:19 jecharri Regression date => 2013-04-30
2013-05-29 16:19 jecharri Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/dbf388a50ab7 [^]
2013-05-29 16:20 Sandrahuguet Status new => scheduled
2013-05-29 16:20 Sandrahuguet fix_in_branch => pi
2013-05-29 16:21 jecharri Tag Attached: Regression
2013-05-29 17:02 hgbot Checkin
2013-05-29 17:02 hgbot Note Added: 0059048
2013-05-29 17:02 hgbot Status scheduled => resolved
2013-05-29 17:02 hgbot Resolution open => fixed
2013-05-29 17:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/80ca7ee3ac68306eb602faf4eaf615bcf6f03cd1 [^]
2013-05-31 12:12 hgbot Checkin
2013-05-31 12:12 hgbot Note Added: 0059082
2013-05-31 12:30 Sandrahuguet Status resolved => new
2013-05-31 12:30 Sandrahuguet Resolution fixed => open
2013-06-01 02:14 hudsonbot Checkin
2013-06-01 02:14 hudsonbot Note Added: 0059101
2013-06-01 02:15 hudsonbot Checkin
2013-06-01 02:15 hudsonbot Note Added: 0059112
2013-06-10 18:18 hgbot Checkin
2013-06-10 18:18 hgbot Note Added: 0059310
2013-06-10 18:18 hgbot Status new => resolved
2013-06-10 18:18 hgbot Resolution open => fixed
2013-06-10 18:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/80ca7ee3ac68306eb602faf4eaf615bcf6f03cd1 [^] => http://code.openbravo.com/erp/devel/pi/rev/3fda4c6015970b1444ee3db1fd958c0dcdd1d019 [^]
2013-06-12 12:19 dmiguelez Review Assigned To => dmiguelez
2013-06-12 12:19 dmiguelez Note Added: 0059386
2013-06-12 12:19 dmiguelez Status resolved => closed
2013-06-13 18:42 Sandrahuguet Relationship added blocks 0024062
2013-06-20 02:08 hudsonbot Checkin
2013-06-20 02:08 hudsonbot Note Added: 0059560


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker